Index: TvPlugin/TvPlugin/TVSearch.cs
===================================================================
--- TvPlugin/TvPlugin/TVSearch.cs	(revision 26887)
+++ TvPlugin/TvPlugin/TVSearch.cs	(working copy)
@@ -25,6 +25,7 @@
 using System.Windows.Forms;
 using MediaPortal.Dialogs;
 using MediaPortal.GUI.Library;
+using MediaPortal.Profile;
 using MediaPortal.Util;
 using TvControl;
 using TvDatabase;
@@ -93,6 +94,30 @@
     private string prevfilterShow = String.Empty;
     private string prevfilterEpisode = String.Empty;
 
+    #region Serialisation
+
+    private void LoadSettings()
+    {
+      using (Settings xmlreader = new MPSettings())
+      {
+          currentSortMethod = (SortMethod)Enum.Parse(typeof(SortMethod), xmlreader.GetValueAsString("tvsearch", "cursortmethod", "Name"), true);
+           chosenSortMethod = (SortMethod)Enum.Parse(typeof(SortMethod), xmlreader.GetValueAsString("tvsearch", "chosortmethod", "Auto"), true);
+          currentSearchMode = (SearchMode)Enum.Parse(typeof(SearchMode), xmlreader.GetValueAsString("tvsearch", "searchmode", "Title"), true);
+      }
+    }
+
+    private void SaveSettings()
+    {
+      using (Settings xmlwriter = new MPSettings())
+      {
+        xmlwriter.SetValue("tvsearch", "cursortmethod", currentSortMethod.ToString());
+        xmlwriter.SetValue("tvsearch", "chosortmethod", chosenSortMethod.ToString());
+        xmlwriter.SetValue("tvsearch",  "searchmode",    currentSearchMode.ToString());
+      }
+    }
+
+    #endregion
+
     public TvSearch()
     {
       GetID = (int)Window.WINDOW_SEARCHTV;
@@ -132,6 +157,7 @@
 
     protected override void OnPageDestroy(int newWindowId)
     {
+      SaveSettings();
       base.OnPageDestroy(newWindowId);
       listRecordings.Clear();
       listRecordings = null;
@@ -143,7 +169,7 @@
       TVHome.WaitForGentleConnection();
 
       base.OnPageLoad();
-
+      LoadSettings();
       listRecordings = Schedule.ListAll();
 
       if (btnShow != null) btnShow.RestoreSelection = false;
